summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore7
-rwxr-xr-xbin/common/drop_cache8
2 files changed, 15 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..4e42516
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,7 @@
+config/essentials/zsh/.zcompdump
+config/essentials/zsh/histfile
+config/essentials/gnupg/*
+config/X/mpv/watch_later/*
+config/common/mpd/database
+config/essentials/nvim/plugin/
+config/common/newsboat/urls
diff --git a/bin/common/drop_cache b/bin/common/drop_cache
new file mode 100755
index 0000000..4833597
--- /dev/null
+++ b/bin/common/drop_cache
@@ -0,0 +1,8 @@
+#!/bin/sh
+if [ "$(id -u)" -ne 0 ]
+then
+ echo "Please run as root."
+ exit 1
+fi
+echo 3 | tee /proc/sys/vm/drop_caches >/dev/null
+echo "cache cleared."